Nowe posty

xx Przy uploadzie przerywane są wszystkie połączenia (4)
Wczoraj o 22:13:37
xx Apache2 i twarde https (3)
2020-05-25, 15:53:43
xx Czy istnieje emulator terminala który zapamieta komendy na jakiejś liście? (9)
2020-05-23, 17:04:57
xx RTLinux wybór dystrybucji (0)
2020-05-23, 15:42:54
xx Problem z instalacją Ubuntu na bootowalnym pendrajwie (9)
2020-05-22, 15:08:12
xx Ubuntudde 20.04 LTS nie działa Lightdm (8)
2020-05-22, 09:16:42
xx [Gra za darmo] GTA5 (1)
2020-05-20, 21:49:26
xx Marketing (1)
2020-05-13, 08:00:41
xx Polecenia Debian (1)
2020-05-10, 19:58:54
xx Uruchamianie pliku z każdego katlogu (2)
2020-05-10, 19:23:33

Autor Wątek: Instalacja ettercap  (Przeczytany 3937 razy)

Offline Rafal

  • Users
  • Guru
  • *****
  • Wiadomości: 605
    • Zobacz profil
Instalacja ettercap
« dnia: 2006-05-13, 10:34:10 »
Witam
Czy ktoś z was zna może jakiś program do katalogowania zbiorów CD/DVD coś w stylu WhereIsIt tylko że pod linuxa. Znalazłem w sieci tylko 2 tj. GWhere oraz Tellico. Ale żaden z nich mi nie odpowiada. Program ten powinien automatycznie czytać zawartość płyty i przenosić strukturę katalogów do bazy. No i posiadać wyszukiwarkę. Bo jeżeli mam 50 płyt CD z mp3 i chcę znaleść jeden plik to nie będę przecież przeglądał wszystkich płyt.
Gdyby ktoś słyszał o innych niż podałem proszę o info na forum,
Pzdr.

Offline Mateusz

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 2
    • Zobacz profil
Instalacja ettercap
« Odpowiedź #1 dnia: 2006-05-13, 13:05:29 »

Offline Kamil Kaproń

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 113
    • Zobacz profil
Instalacja ettercap
« Odpowiedź #2 dnia: 2006-05-13, 01:21:14 »
Witam,
chciałbym zainstalować ettercap'a, ale podczas robienia konfiguracji
(./configure) wyskakuje mi błąd:

"configure: error: Package requirements (gtk+-2.0 >= 2.0.0 pango >= 1.0 atk >= 1.0) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively you may set the GTK_CFLAGS and GTK_LIBS environment variables
to avoid the need to call pkg-config.  See the pkg-config man page for
more details. "

Mam zbyt mało wolnego miejsca na dysku na gtk i inne biblioteki. Zresztą, używałbym ettercap'a tylko w trybie tekstowym.

Z powyższego komunikatu wnioskuję, że musze ustawić zmienne GTK_CFLAGS i GTK_LIBS, żeby pominąć gtk przy konfiguracji i kompilacji.

Na jakie wartości mam ustawić te zmienne? (Zmienne ustawia się: ZMIENNA="wartosc" prawda?)

Kamil

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 8
    • Zobacz profil
Instalacja ettercap
« Odpowiedź #3 dnia: 2006-05-13, 08:04:22 »
2006-05-13 01:21:14 kapron napisał:
> Witam,
 > chciałbym zainstalować ettercap'a, ale podczas robienia konfiguracji
 > (./configure) wyskakuje mi błąd:
 >
 > "configure: error: Package requirements (gtk+-2.0 >= 2.0.0 pango >= 1.0 atk >=
 > 1.0) were not met.
 > Consider adjusting the PKG_CONFIG_PATH environment variable if you
 > installed software in a non-standard prefix.
 >
 > Alternatively you may set the GTK_CFLAGS and GTK_LIBS environment variables
 > to avoid the need to call pkg-config.  See the pkg-config man page for
 > more details. "
 
Mozna odrazu "powiedziec" configure, by nie szukal gtk+-2.0 wystarczy wpisac
./configure --disable-gtk

a tak na przyszlosc to polecam lekture ./configure --help

Offline Kamil Kaproń

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 113
    • Zobacz profil
Instalacja ettercap
« Odpowiedź #4 dnia: 2006-05-13, 10:34:08 »
Ogromne dzięki.
Manual z rana jak śmietana :)